org.eclipse.jetty.plus.jndi

## Class EnvEntry

- java.lang.Object
- - org.eclipse.jetty.plus.jndi.NamingEntry
  - - org.eclipse.jetty.plus.jndi.EnvEntry

    public class EnvEntry
    extends NamingEntry

EnvEntry

### Field Summary

### Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

`__contextName, _jndiName, _namingEntryNameString, _objectNameString, _scope`

### Constructor Summary

Constructors
Constructor and Description
`EnvEntry(Object scope, String jndiName, Object objToBind, boolean overrideWebXml)`
`EnvEntry(String jndiName, Object objToBind)`
`EnvEntry(String jndiName, Object objToBind, boolean overrideWebXml)`

### Method Summary

Methods
`boolean` `isOverrideWebXml()`

### Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

`bindToENC, getJndiName, getJndiNameInScope, release, save, toString, unbindENC`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvEntry

    public EnvEntry(Object scope,
            String jndiName,
            Object objToBind,
            boolean overrideWebXml)
             throws NamingException

Throws:
  `NamingException`

#### EnvEntry

    public EnvEntry(String jndiName,
            Object objToBind,
            boolean overrideWebXml)
             throws NamingException

Throws:
  `NamingException`

#### EnvEntry

    public EnvEntry(String jndiName,
            Object objToBind)
             throws NamingException

Throws:
  `NamingException`

### Method Detail

#### isOverrideWebXml

    public boolean isOverrideWebXml()